## org.h2.test.server
Class TestNestedLoop

    java.lang.Object
      org.h2.test.TestBase
          org.h2.test.server.TestNestedLoop

    public class TestNestedLoop

extends TestBase

Tests remote JDBC access with nested loops. This is not allowed in some databases.

Field Summary

Fields inherited from class org.h2.test.TestBase
`BASE_TEST_DIR, config, start, TEMP_DIR, uniqueId`

Constructor Summary
`TestNestedLoop()`

Method Summary
`static void` `main(java.lang.String... a)` Run just this test.
`void` `test()` This method will be called by the test framework.

Methods inherited from class org.h2.test.TestBase

`assertContains, assertEqualDatabases, assertEqualReaders, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEqualStreams, assertFalse, assertFalse, assertKnownException, assertKnownException, assertNull, assertResult, assertResultRowCount, assertResultSetMeta, assertResultSetOrdered, assertSingleValue, assertSmaller, assertStartsWith, assertThrows, assertThrows, assertThrows, assertThrows, assertTrue, assertTrue, crash, createCaller, createClassProxy, deleteDb, deleteDb, eatMemory, fail, fail, freeMemory, getBaseDir, getClassPath, getConnection, getConnection, getFilePassword, getMemoryUsed, getMemoryUsedBytes, getPassword, getPassword, getSize, getTestDir, getURL, getUser, init, init, logError, println, printTime, printTimeMemory, readString, runTest, startServerIfRequired, testCase, trace, trace, traceMemory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestNestedLoop

    public TestNestedLoop()

Method Detail

### main

    public static void main(java.lang.String... a)
                     throws java.lang.Exception

  Run just this test.

  Parameters:
    `a` - ignored
  Throws:
    `java.lang.Exception`

### test

    public void test()
              throws java.sql.SQLException

  Description copied from class: `TestBase`
  This method will be called by the test framework.

  Specified by:
    `test` in class `TestBase`
  Throws:
    `java.sql.SQLException`